Bug 63195 - gwaether leave clutter when removed from panel
gwaether leave clutter when removed from panel
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Mark McLoughlin
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2002-04-10 19:31 EDT by Gene Czarcinski
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-11 15:03:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2002-04-10 19:31:54 EDT
Description of Problem:
When gweather is removed from the panel, it leaves it properties file named of
the form ~/.gnome/panel.d/default/Applet_<nn>_Extern where <nn> is some number.
 If it is readded to the panel, a new file is created.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Look in the directory
2. add gweather to the panel
3. look in the directory
4. remove it from the panel
5. look in the directory
6. add gweather to the panel
7. look in the directory
8. noticed that property files are not reused

Actual Results:
property files added

Expected Results:
deleted on removal or reused

Additional Information:
Comment 1 Havoc Pennington 2002-04-11 09:56:49 EDT
I wouldn't be surprised if _all_ applets did this... I don't think there's
anything special about gweather.
Comment 2 Gene Czarcinski 2002-04-11 14:44:20 EDT
But that does not mean that it is a desired behavior.

I don't expect this to be fixed any time soon since should not be a high
priority on anybody's queue but I hope it does not get forgotten either.
Comment 3 Havoc Pennington 2002-04-11 15:03:31 EDT
Of course it should be fixed, didn't mean to imply otherwise. 
It's fixed in gnome 2 already if nothing else.

(We're very rapidly nearing the "last drop of gnome 1.4" point, though, 
so it may only be fixed with the gnome 2 move.)
Comment 4 Havoc Pennington 2002-07-03 11:30:06 EDT
Fixed in gnome 2 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.